# Get all log delivery configurations

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/log-delivery`

Gets all Databricks log delivery configurations associated with an account specified by ID.

API scopes: billing

## Path parameters

- `account_id` (string, uuid, required)
  Databricks account ID.
  **AWS:** Databricks account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html).

## Query parameters

- `credentials_id` (string, uuid, optional)
  The Credentials id to filter the search results with
- `storage_configuration_id` (string, uuid, optional)
  The Storage Configuration id to filter the search results with
- `status` (string, optional)
  The log delivery status to filter the search results with
  Possible values:
  - `ENABLED`
  - `DISABLED`
- `page_token` (string, optional)
  A page token received from a previous get all budget configurations call. This token can be used to retrieve the subsequent page.
   Requests first page if absent.

## Returns

Returns a list of LogDeliveryConfiguration objects.

## Response

```json
{
  "log_delivery_configurations": [
    {
      "config_id": "string",
      "config_name": "string",
      "log_type": "BILLABLE_USAGE",
      "output_format": "CSV",
      "account_id": "string",
      "credentials_id": "string",
      "storage_configuration_id": "string",
      "workspace_ids_filter": [
        0
      ],
      "delivery_path_prefix": "string",
      "delivery_start_time": "string",
      "status": "ENABLED",
      "creation_time": 0,
      "update_time": 0,
      "log_delivery_status": {}
    }
  ],
  "next_page_token": "string"
}
```

